
From: gerg@snapgear.com

Fix cpu stats code to match changes to higher level kstat data structure
for m68knommu ColdFire CPU architectures.  This fixes all ColdFire
sub-architecture CPU types.



 25-akpm/arch/m68knommu/platform/5307/entry.S |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/m68knommu/platform/5307/entry.S~m68knommu-cpustats-fix arch/m68knommu/platform/5307/entry.S
--- 25/arch/m68knommu/platform/5307/entry.S~m68knommu-cpustats-fix	Mon Jan  5 12:37:25 2004
+++ 25-akpm/arch/m68knommu/platform/5307/entry.S	Mon Jan  5 12:37:25 2004
@@ -182,7 +182,7 @@ ENTRY(inthandler)
 	movew   %sp@(LFORMATVEC),%d0	/* put exception # in d0 */
 	andl	#0x03fc,%d0		/* mask out vector only */
 
-	leal	kstat__per_cpu+STAT_IRQ,%a0
+	leal	per_cpu__kstat+STAT_IRQ,%a0
 	addql	#1,%a0@(%d0)
 
 	lsrl	#2,%d0			/* calculate real vector # */
@@ -213,7 +213,7 @@ ENTRY(fasthandler)
 	movew   %sp@(LFORMATVEC),%d0
 	andl	#0x03fc,%d0		/* mask out vector only */
 
-	leal	kstat__per_cpu+STAT_IRQ,%a0
+	leal	per_cpu__kstat+STAT_IRQ,%a0
 	addql	#1,%a0@(%d0)
 
 	movel	%sp,%sp@-		/* push regs arg onto stack */

_
